<?php
/**
 * CSS vars logic - Cursor
 *
 * @package Multi
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

/**
 * Prepares css variables holding cursor properties
 */
function multimagazine_css_vars_cursor() {
	$cursor_color = get_theme_mod( 'multi_cursor_color', MULTIMAGAZINE_CURSOR_COLOR );
	$cursor_color = empty( $cursor_color ) ? 'var(--main-color)' : $cursor_color;
	$css          = '--cursor-color: ' . esc_attr( $cursor_color ) . ";\n";

	return $css;
}
